# Class ExtendedProperty

java.lang.Object
com.independentsoft.pst.ExtendedProperty

public class ExtendedProperty extends Object
The Class ExtendedProperty.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedProperty()`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, boolean value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, byte[] value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, double value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, int value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, long value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, short value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, String value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, String[] value)`
  Instantiates a new extended property.
  `ExtendedProperty(ExtendedPropertyTag tag, Date value)`
  Instantiates a new extended property.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getBooleanValue()`
  Gets the boolean value.
  `Date`
  `getDateTimeValue()`
  Gets the date time value.
  `double`
  `getDoubleValue()`
  Gets the double value.
  `float`
  `getFloatValue()`
  Gets the float value.
  `int`
  `getIntegerValue()`
  Gets the integer value.
  `long`
  `getLongValue()`
  Gets the long value.
  `short`
  `getShortValue()`
  Gets the short value.
  `String[]`
  `getStringArrayValue()`
  Gets the string array value.
  `String`
  `getStringValue()`
  Gets the string value.
  `ExtendedPropertyTag`
  `getTag()`
  Gets the tag.
  `byte[]`
  `getValue()`
  Gets the value.
  `void`
  `setTag(ExtendedPropertyTag tag)`
  Sets the tag.
  `void`
  `setValue(byte[] value)`
  Sets the value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtendedProperty

    public ExtendedProperty()
    Instantiates a new extended property.

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, String value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, short value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, int value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, long value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, double value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, boolean value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, Date value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, String[] value) throws IOException
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### ExtendedProperty

    public ExtendedProperty(ExtendedPropertyTag tag, byte[] value)
    Instantiates a new extended property.
    Parameters:
      `tag` - the tag
      `value` - the value

- ## Method Details

  - ### getStringValue

    public String getStringValue()
    Gets the string value.
    Returns:
      the string value

  - ### getStringArrayValue

    public String[] getStringArrayValue()
    Gets the string array value.
    Returns:
      the string array value

  - ### getBooleanValue

    public boolean getBooleanValue()
    Gets the boolean value.
    Returns:
      the boolean value

  - ### getShortValue

    public short getShortValue()
    Gets the short value.
    Returns:
      the short value

  - ### getIntegerValue

    public int getIntegerValue()
    Gets the integer value.
    Returns:
      the integer value

  - ### getLongValue

    public long getLongValue()
    Gets the long value.
    Returns:
      the long value

  - ### getFloatValue

    public float getFloatValue()
    Gets the float value.
    Returns:
      the float value

  - ### getDoubleValue

    public double getDoubleValue()
    Gets the double value.
    Returns:
      the double value

  - ### getDateTimeValue

    public Date getDateTimeValue()
    Gets the date time value.
    Returns:
      the date time value

  - ### getTag

    public ExtendedPropertyTag getTag()
    Gets the tag.
    Returns:
      the tag

  - ### setTag

    public void setTag(ExtendedPropertyTag tag)
    Sets the tag.
    Parameters:
      `tag` - the new tag

  - ### getValue

    public byte[] getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue(byte[] value)
    Sets the value.
    Parameters:
      `value` - the new value